xine-lib: sei_message Struct Reference

xine-lib 1.2.12

Data Fields
sei_message Struct Reference

## Data Fields
uint32_t | payload_type
uint8_t | last_payload_type_byte
uint32_t | payload_size
uint8_t | last_payload_size_byte
struct {
uint8_t cpb_removal_delay
uint8_t dpb_output_delay
uint8_t pic_struct
uint8_t ct_type: 1
uint8_t nuit_field_based_flag: 1
uint8_t counting_type: 5
uint8_t full_timestamp_flag: 1
uint8_t discontinuity_flag: 1
uint8_t cnt_dropped_flag: 1
uint8_t n_frames
uint8_t seconds_value: 6
uint8_t minutes_value: 6
uint8_t hours_value: 5
int32_t time_offset
} | pic_timing

## Field Documentation

## ◆ cnt_dropped_flag

uint8_t sei_message::cnt_dropped_flag

Referenced by parse_sei().

## ◆ counting_type

uint8_t sei_message::counting_type

Referenced by parse_sei().

## ◆ cpb_removal_delay

uint8_t sei_message::cpb_removal_delay

Referenced by parse_sei().

## ◆ ct_type

uint8_t sei_message::ct_type

Referenced by parse_sei().

## ◆ discontinuity_flag

uint8_t sei_message::discontinuity_flag

Referenced by parse_sei().

## ◆ dpb_output_delay

uint8_t sei_message::dpb_output_delay

Referenced by parse_sei().

## ◆ full_timestamp_flag

uint8_t sei_message::full_timestamp_flag

Referenced by parse_sei().

## ◆ hours_value

uint8_t sei_message::hours_value

Referenced by parse_sei().

## ◆ last_payload_size_byte

uint8_t sei_message::last_payload_size_byte

Referenced by parse_sei().

## ◆ last_payload_type_byte

uint8_t sei_message::last_payload_type_byte

Referenced by parse_sei().

## ◆ minutes_value

uint8_t sei_message::minutes_value

Referenced by parse_sei().

## ◆ n_frames

uint8_t sei_message::n_frames

Referenced by parse_sei().

## ◆ nuit_field_based_flag

uint8_t sei_message::nuit_field_based_flag

Referenced by parse_sei().

## ◆ payload_size

uint32_t sei_message::payload_size

Referenced by parse_sei().

## ◆ payload_type

uint32_t sei_message::payload_type

Referenced by parse_sei().

## ◆ pic_struct

uint8_t sei_message::pic_struct

Referenced by check_progressive(), dp_top_field_first(), interpret_sei(), and parse_sei().

## ◆

struct { ... } sei_message::pic_timing

Referenced by check_progressive(), dp_top_field_first(), interpret_sei(), and parse_sei().

## ◆ seconds_value

uint8_t sei_message::seconds_value

Referenced by parse_sei().

## ◆ time_offset

int32_t sei_message::time_offset

Referenced by parse_sei().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/video_dec/libvdpau/vdpau_h264.c